Bug 211339

Summary: typo in some of the kernel packages that add kernel name labels in new stanzas
Product: Red Hat Enterprise Linux 3 Reporter: Joshua Giles <jgiles>
Component: mkinitrdAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.8CC: pjones
Target Milestone: ---   
Target Release: ---   
Hardware: s390   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-19 14:40:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joshua Giles 2006-10-18 14:51:00 EDT
Description of problem:
There is a typo in the kernel name labels in newly created stanzas within the
boot loader config file (e.g. zipl on s390, yaboot on ppc) when installing
2.4.21-47.0.1.EL kernel RPM.  Notice how the label for the stanza is missing the
'L' in "EL" in the kernel name:

.qa.[root@s390-3as root]# head /etc/zipl.conf
[defaultboot]
default=linux
target=/boot/
[2.4.21-47.0.1.E]
        image=/boot/vmlinuz-2.4.21-47.0.1.EL
        ramdisk=/boot/initrd-2.4.21-47.0.1.EL.img


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Intstall the errata kernel 2.4.21-47.0.1.EL for ppc and s390(x) arches
2. Open the boot loader configuration file to find an incompleted kernel name label
3.
  
Actual results:
Shown above

Expected results:
Kernel Name = complete kernel version name 

Additional info:
This is problem with the kernel security Asynchronous errata here:
http://errata.devel.redhat.com/errata/showrequest.cgi?advisory=2006:0710
Comment 1 Ernie Petrides 2006-10-18 15:42:01 EDT
This would most likely be a bug in /sbin/zipl, part of the s390utils package.

Reassigning appropriately.

(If this problem also occurs on ppc64, then an additional BZ should be entered.)
Comment 2 Joshua Giles 2006-10-18 17:12:42 EDT
Ernie, I just tried the 2.4.21-37.0.1.EL on s390 and the same problem
occurs...so this could very well be a boot loader limitation. 

It also occurs on ppc64...
Comment 3 Phil Knirsch 2006-11-07 11:49:00 EST
Not sure why it gets cut off. I'm not sure if there are any length limitations
for sections in zipl.conf, but afaik not.

I'll double check with our IBM liasion next time he's here.

Read ya, Phil
Comment 4 Phil Knirsch 2007-03-14 10:35:11 EDT
OK, found the source of the problem:

It's actually in grubby (part of mkinitrd) that ofc actually writes zipl.conf.

There the title length is limited to 15 btes for lilo, yaboot, silo and zipl
conf types.

If i remember correctly this was actually really necessary for the RHEL3 kernels
for those architectures, but i might confuse something here.

Reassigning the bug though to the proper component.

Read ya, Phil
Comment 5 RHEL Product and Program Management 2007-10-19 14:40:32 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.